# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Private Member Functions | Static Private Member Functions | Private Attributes | Friends | List of all members
DBus::Glib::BusTimeout Class Reference

`#include <glib-integration.h>`

Inheritance diagram for DBus::Glib::BusTimeout:

## Private Member Functions

| BusTimeout (Timeout::Internal *, GMainContext *, int)
| ~BusTimeout ()
void | toggle ()
void | _enable ()
void | _disable ()

## Static Private Member Functions

static gboolean | timeout_handler (gpointer)

## Private Attributes

GMainContext * | _ctx
int | _priority
GSource * | _source

## Friends

class | BusDispatcher

## Additional Inherited Members

Public Member Functions inherited from DBus::Timeout
| Timeout (Internal *i)
virtual | ~Timeout ()
int | interval () const
| Gets the timeout interval.
bool | enabled () const
bool | handle ()
| Calls the timeout handler for this timeout.

## Detailed Description

Definition at line 41 of file glib-integration.h.

## Constructor & Destructor Documentation

## ◆ BusTimeout()

Glib::BusTimeout::BusTimeout | ( | Timeout::Internal * | ti,
|  | GMainContext * | ctx,
|  | int | priority )

private

Definition at line 33 of file glib-integration.cpp.

References _ctx, _enable(), _priority, _source, DBus::Timeout::enabled(), and DBus::Timeout::Timeout().

## ◆ ~BusTimeout()

Glib::BusTimeout::~BusTimeout | ( |  | ) |

private

Definition at line 40 of file glib-integration.cpp.

References _disable().

## Member Function Documentation

## ◆ _disable()

void Glib::BusTimeout::_disable | ( |  | ) |

private

Definition at line 73 of file glib-integration.cpp.

References _source.

Referenced by _enable(), toggle(), and ~BusTimeout().

## ◆ _enable()

void Glib::BusTimeout::_enable | ( |  | ) |

private

Definition at line 62 of file glib-integration.cpp.

References _ctx, _disable(), _priority, _source, DBus::Timeout::interval(), and timeout_handler().

Referenced by BusTimeout(), and toggle().

## ◆ timeout_handler()

gboolean Glib::BusTimeout::timeout_handler | ( | gpointer | data | ) |

static private

Definition at line 53 of file glib-integration.cpp.

References DBus::Timeout::handle().

Referenced by _enable().

## ◆ toggle()

void Glib::BusTimeout::toggle | ( |  | ) |

private virtual

Implements DBus::Timeout.

Definition at line 45 of file glib-integration.cpp.

References _disable(), _enable(), DBus::debug_log, and DBus::Timeout::enabled().

## Friends And Related Symbol Documentation

## ◆ BusDispatcher

friend class BusDispatcher

friend

Definition at line 63 of file glib-integration.h.

References BusDispatcher.

Referenced by BusDispatcher.

## Member Data Documentation

## ◆ _ctx

GMainContext* DBus::Glib::BusTimeout::_ctx

private

Definition at line 59 of file glib-integration.h.

Referenced by _enable(), and BusTimeout().

## ◆ _priority

int DBus::Glib::BusTimeout::_priority

private

Definition at line 60 of file glib-integration.h.

Referenced by _enable(), and BusTimeout().

## ◆ _source

GSource* DBus::Glib::BusTimeout::_source

private

Definition at line 61 of file glib-integration.h.

Referenced by _disable(), _enable(), and BusTimeout().

The documentation for this class was generated from the following files:

- glib-integration.h
- glib-integration.cpp